Frama-C Bug Tracking System

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000784Frama-CPlug-in > metricspublic2011-04-11 16:012014-02-12 16:59
Reportersignoles 
Assigned Tomonate 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product VersionFrama-C Carbon-20110201 
Target VersionFixed in VersionFrama-C Nitrogen-20111001 
Summary0000784: Generating metrics.html on demand
DescriptionWhen computing metrics (via a command line option or the GUI), then file metrics.html is created in the current directory (or the plug-in crashes if there is a system error when opening, writing into, closing the file).

It would be nice:
- to generate the file only on demand (through a new command line option taking a filename as argument)
- to prevent crashes by catching exceptions.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0004810)
monate (reporter)
2014-02-12 16:59

Fix committed to stable/neon branch.

- Issue History
Date Modified Username Field Change
2011-04-11 16:01 signoles New Issue
2011-04-11 16:01 signoles Status new => assigned
2011-04-11 16:01 signoles Assigned To => monate
2011-04-11 22:46 svn Checkin
2011-04-11 22:46 svn Status assigned => resolved
2011-04-11 22:46 svn Resolution open => fixed
2011-10-10 14:13 signoles Fixed in Version => Frama-C Nitrogen-20111001
2011-10-10 14:14 signoles Status resolved => closed
2014-02-12 16:59 monate Note Added: 0004810
2014-02-12 16:59 monate Status closed => resolved


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker